-- ESP8266/LUA im Netzwerk als Access Point (AP) einrichten
-- by E.Huckert 01-2017 Tested with Windows and with Linux/Raspberry 3: works
-- Note: IP adresses, acces point names, passwords and port must/may be changed
mode=wifi.setmode(wifi.STATIONAP)
-- print("mode="..mode)
acfg =
{
  ssid="MYAP",
  pwd="88776655",
  auth=wifi.WPA_PSK
}
succ=wifi.ap.config(acfg)
cfg =
{
  ip="166.9.9.1",
  netmask="255.255.255.0"
}
wifi.ap.setip(cfg);
-- Module dhcp ist nicht in Firmware
dcfg = { start="166.9.9.2" }
--wifi.ap.dhcp.config(dcfg)
--wifi.ap.dhcp.start()
tmr.delay(990000)
-- create UDP server: Reacts on incom. UDP msgs: sets the onBoard LED 
gpio.mode(0, gpio.OUTPUT)
gpio.write(0, 1)
srv = net.createServer(net.UDP)
-- UDP client bauen
sck=net.createConnection(net.UDP,0)
sck:connect(9515, "166.9.9.2")
--
srv:on("receive",
  function(srv,s) 
    print("RX="..s) 
    gpio.write(0,0)
    tmr.delay(500000)
    gpio.write(0,1)
    tmr.delay(500000)
    -- Daten ueber UDP senden
    sck:send("Hallo aus ESP8266!\r\n")
  end );
  --
srv:listen(9514)
print("Listening on port 9514\n")
-- script wpa_supplicant.conf on Linux/Rapsberry 3:
-- network={
--    ssid="EHAP"
--    key_mgmt=WPA-PSK
--    psk="87654321"
--  }